[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'BaseUnix' (#rtl)

# fpFD_CLR

Clears a file descriptor in a set

## Declaration

Source position: bunxovlh.inc line 73

`function fpFD_CLR(`
`fdno: cint;`
`var nset: TFDSet`
`):cint;`

## Description

FpFD_Clr clears file descriptor fdno in file descriptor set nset.

For an example, see FpSelect.

## Errors

None.

## See also

FpSelect |  | Wait for events on file descriptors
FpFD_ZERO |  | Clear all file descriptors in set
FpFD_Set |  | Set a file descriptor in a set
FpFD_IsSet |  | Check whether a file descriptor is set